//
// QPerforce is a gui interface to the perforce revision control
// system. It is based on the qt library, and should be easily portable
// across any platform that has this toolkit available.
// 
// Copyright (C) 2002 Jacob Gladish
//
#ifndef __CONFIG_OPTIONS_H__
#define __CONFIG_OPTIONS_H__

#include <qapplication.h>
#include <qstring.h>

class ConfigOptions  
{

public:

  bool showP4Commands();

  inline const QString& getImageDir() const
    { return _application._imageDir;}

  inline const QString& getCurrentClient() const 
    { return _env._currClientName; }

  static ConfigOptions* getInstance();

private:

	ConfigOptions();
	virtual ~ConfigOptions();

  static ConfigOptions* _instance;

  //======================================================================
  // options here. 
  //

private:

  struct Display {
    Display();

    bool _showP4CommandsInStatusPane;
  };

  struct Application {
    Application();
    QString _imageDir;
  };

  struct P4Environment {
    P4Environment();
    QString _currClientName;
  };


  Display       _display;
  Application   _application;
  P4Environment _env;

};

#endif 


